com.singularsys.jeptests.system

## Class NullWrapTest

- java.lang.Object
- - com.singularsys.jeptests.system.JepTest
  - - com.singularsys.jeptests.system.NullWrapTest

-     public class NullWrapTest
      extends JepTest

- - ### Field Summary

    - ### Fields inherited from class com.singularsys.jeptests.system.JepTest

      `jep, myFalse, myTrue, PRINT_RESULTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullWrapTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `myAssertEquals(java.lang.String msg, java.lang.Object expected, java.lang.Object actual)`
    `protected void` | `myAssertNull(java.lang.String msg, java.lang.Object actual)`
    `void` | `setUp()` Sets up the parser.
    `void` | `testBitwise()`
    `void` | `testCaseNull()`
    `void` | `testErrorMessages()`
    `void` | `testIncrement()`
    `void` | `testIsNull()`
    `void` | `testListFunctions()`
    `void` | `testListNull()`
    `void` | `testNull()`
    `void` | `testNullLogical()`
    `void` | `testNullSafeEquals()`
    `void` | `testNullWrap()`
    `void` | `testOpEquals()`
    `void` | `testSetAllowUndeclared()` Overridden as undeclared variable indistinguishable from null.
    `void` | `testTernary()`

    - ### Methods inherited from class com.singularsys.jeptests.system.JepTest

      `assertEqNodes, buildMatrix, buildVector, calcValue, calcValue, checkVector, compareRecursive, complexValueTest, myAssertNaN, negativeZero, nodeTest, nodeTest, nodeTest, nodeTest, printTestHeader, testAssign, testBinom, testBlankParser, testCaseString, testChangeVariable, testChangeVariableComplex, testComments, testComplex, testEmptyEqn, testEmptyEqn2, testEvalExceptions, testEvaluate, testEvaluateComplex, testEvaluateString, testExpectedTokenSequence, testFormat, testFunction, testIf, testImplicitMul, testLazyLogical, testLazyLogical2, testLazyLogicalBug, testListAccess, testListExtra, testLogarithm, testLogical, testMacroFunction, testMultiDimArray, testMultiLine, testMultiplyBug, testNaN, testNoAssign, testNumberAsBooleanLogical, testNumbers, testNumParam, testParseException, testPlusPlus, testRecursiveMacroFunction, testSemiColon, testSimpleSum, testSpecialFunctions, testSpecialFunctions, testStrings, testStringsFun, testSwitch, testUminusPower, testX2Y, valueTest, valueTest, valueTestFail, valueTestNaN, valueTestNull, valueTestString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NullWrapTest

          public NullWrapTest()

  - ### Method Detail

    - #### setUp

          public void setUp()

      Sets up the parser.
      Overrides:
        `setUp` in class `JepTest`

    - #### myAssertNull

          protected void myAssertNull(java.lang.String msg,
                                      java.lang.Object actual)

      Overrides:
        `myAssertNull` in class `JepTest`

    - #### myAssertEquals

          protected void myAssertEquals(java.lang.String msg,
                                        java.lang.Object expected,
                                        java.lang.Object actual)

      Overrides:
        `myAssertEquals` in class `JepTest`

    - #### testNullWrap

          public void testNullWrap()
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testNullLogical

          public void testNullLogical()
                               throws JepException

      Throws:
        `JepException`

    - #### testNullSafeEquals

          public void testNullSafeEquals()
                                  throws JepException

      Throws:
        `JepException`

    - #### testSetAllowUndeclared

          public void testSetAllowUndeclared()
                                      throws java.lang.Exception

      Overridden as undeclared variable indistinguishable from null. Does nothing.
      Overrides:
        `testSetAllowUndeclared` in class `JepTest`
      Throws:
        `java.lang.Exception`

    - #### testNull

          public void testNull()
                        throws java.lang.Exception

      Overrides:
        `testNull` in class `JepTest`
      Throws:
        `java.lang.Exception`

    - #### testIsNull

          public void testIsNull()
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testListNull

          public void testListNull()
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testListFunctions

          public void testListFunctions()
                                 throws java.lang.Exception

      Overrides:
        `testListFunctions` in class `JepTest`
      Throws:
        `java.lang.Exception`

    - #### testCaseNull

          public void testCaseNull()
                            throws java.lang.Exception

      Overrides:
        `testCaseNull` in class `JepTest`
      Throws:
        `java.lang.Exception`

    - #### testBitwise

          public void testBitwise()
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testTernary

          public void testTernary()
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testIncrement

          public void testIncrement()
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testOpEquals

          public void testOpEquals()
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testErrorMessages

          public void testErrorMessages()
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2018 Singular Systems http://www.singularsys.com/jep